> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tulipai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Flush pending usage receipts



## OpenAPI

````yaml /gateway-reference/openapi.yaml post /settlements/flush
openapi: 3.1.0
info:
  title: Tulip Gateway API
  version: 2.0.0
  description: >-
    Offer-aware model discovery, quotes, OpenAI-compatible inference, provider
    onboarding, and settlement for Tulip v1 model markets.
servers: []
security: []
tags:
  - name: Service
  - name: Models
  - name: Inference
  - name: Providers
  - name: Settlement
paths:
  /settlements/flush:
    post:
      tags:
        - Settlement
      summary: Flush pending usage receipts
      operationId: flushSettlements
      responses:
        '200':
          description: Batch settlement result.
          content:
            application/json:
              schema:
                type: object
                properties:
                  settled:
                    type: integer
                  transaction_hash:
                    anyOf:
                      - type: string
                      - type: 'null'
        '401':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
      security:
        - SettlementOperator: []
components:
  responses:
    Error:
      description: Tulip error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            type:
              type: string
            message:
              type: string
          required:
            - code
            - type
            - message
      required:
        - error
  securitySchemes:
    SettlementOperator:
      type: http
      scheme: bearer
      bearerFormat: Settlement operator token

````